summaryrefslogtreecommitdiffstats
path: root/libraries/libsidplay2
diff options
context:
space:
mode:
author Marcel Saegebarth2010-09-17 10:42:46 +0200
committer Robby Workman2010-09-22 05:09:37 +0200
commitcd01f03ba68648a1b63993e3e8ac8ce98c34a0f8 (patch)
tree5826a96bf206d221c309415f4e4e542d80cfe7e9 /libraries/libsidplay2
parent51ddce634e8a98c0342e1173fa2d32a0c975529f (diff)
downloadslackbuilds-cd01f03ba68648a1b63993e3e8ac8ce98c34a0f8.tar.gz
libraries/libsidplay2: Added (SID emulation)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries/libsidplay2')
-rw-r--r--libraries/libsidplay2/README12
-rw-r--r--libraries/libsidplay2/libsidplay2.SlackBuild91
-rw-r--r--libraries/libsidplay2/libsidplay2.info12
-rw-r--r--libraries/libsidplay2/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/libraries/libsidplay2/README b/libraries/libsidplay2/README
new file mode 100644
index 0000000000..3d62235985
--- /dev/null
+++ b/libraries/libsidplay2/README
@@ -0,0 +1,12 @@
+Sidplay 2 is capable of playing all C64 mono/stereo file formats and
+is cycle accurate for improved sound reproduction.
+
+Build includes the reSID emulation/filter and HardSID support.
+
+For instance, you can use the stock Audacious plugin SlackBuild without
+modifications and rebuilding the package. It will automatically detect
+the SID emulation availability and compiles the SID plugin.
+Simply reinstall the created package by `upgradepkg --reinstall`.
+
+Many thanks to all people who provide(d) patches to keep this project
+alive.
diff --git a/libraries/libsidplay2/libsidplay2.SlackBuild b/libraries/libsidplay2/libsidplay2.SlackBuild
new file mode 100644
index 0000000000..25fa8ec291
--- /dev/null
+++ b/libraries/libsidplay2/libsidplay2.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# SlackBuild script for "libsidplay2".
+# Copyright 2010 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libsidplay2
+SRCNAM=sidplay-libs
+DIFFVER=${DIFFVER:-7}
+VERSION=${VERSION:-2.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+rm -rf $TMP/$PRGNAM
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/${SRCNAM}_$VERSION.orig.tar.gz
+cd $TMP/$SRCNAM-$VERSION
+zcat $CWD/${SRCNAM}_$VERSION-$DIFFVER.diff.gz | patch -p1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --enable-shared=yes \
+ --enable-static=no \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libsidplay2/libsidplay2.info b/libraries/libsidplay2/libsidplay2.info
new file mode 100644
index 0000000000..cfcaa2e395
--- /dev/null
+++ b/libraries/libsidplay2/libsidplay2.info
@@ -0,0 +1,12 @@
+PRGNAM="libsidplay2"
+VERSION="2.1.1"
+HOMEPAGE="http://sidplay2.sourceforge.net/"
+DOWNLOAD="http://ftp.debian.org/debian/pool/main/s/sidplay-libs/sidplay-libs_2.1.1.orig.tar.gz \
+ http://ftp.de.debian.org/debian/pool/main/s/sidplay-libs/sidplay-libs_2.1.1-7.diff.gz"
+MD5SUM="7ea0ba5dc1da4604d15eaae001f7d2a7 \
+ 14a0cd3b44173e6fab0c94933720d4d4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
+APPROVED="dsomero"
diff --git a/libraries/libsidplay2/slack-desc b/libraries/libsidplay2/slack-desc
new file mode 100644
index 0000000000..f8553ffc76
--- /dev/null
+++ b/libraries/libsidplay2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libsidplay2: Sidplay 2 (SID emulation)
+libsidplay2:
+libsidplay2: Sidplay 2 is capable of playing all C64 mono/stereo file formats and
+libsidplay2: is cycle accurate for improved sound reproduction.
+libsidplay2:
+libsidplay2: Build includes the reSID emulation/filter and HardSID support.
+libsidplay2:
+libsidplay2:
+libsidplay2: Homepage: http://sidplay2.sourceforge.net/
+libsidplay2:
+libsidplay2: